%define name picoscope-fixer
%define version 0.1
%define release 1

Summary: Fixes broken picoscope packages from picotech.com
Name: %{name}
Version: %{version}
Release: %{release}
License: public-domain
Group: System/Tools
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: picoscope

%description
Contains hooks to fix broken picoscope packages from picotech.com

%post
if [ -f /opt/picoscope/bin/picoscope ]
then
    sed -ri 's#^(GROUP_OK)=0#\1=1#;s#^exec sg[^"]+"##;s#(PicoScope.GTK.exe[^"]*)".*$#\1#' /opt/picoscope/bin/picoscope
fi

%triggerin -- picoscope
if [ -f /opt/picoscope/bin/picoscope ]
then
    sed -ri 's#^(GROUP_OK)=0#\1=1#;s#^exec sg[^"]+"##;s#(PicoScope.GTK.exe[^"]*)".*$#\1#' /opt/picoscope/bin/picoscope
else
    echo "%{name}-%{version}: TRIGGERIN: file not found: /opt/picoscope/bin/picoscope" >&2
fi

%files

